[Version]
Signature = "$CHICAGO$"
DEVTYPE_INI_FILE = 1

[FLAGS]
CTY_PARMS = 0

[Manufacturer]
Conexant = Conexant

[Conexant]
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC03B ; G-Series
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC03D
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC03F
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC041
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC043
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC045
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC047
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC049
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC04B
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AAC04D
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0005 ; V4400
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0009 ; V4400
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0004 ; LaBatt
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA0008 ; LaBatt
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA2215 ; VIUS6
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA2216
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA2217 ; ZIPS1
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA503E ; ZIPS3 (Stella2)
Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3800 ; Venus3
Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA3801 ; Vienna

Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC03B ; G-Series
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC03D
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC03F
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC041
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC043
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC045
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC047
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC049
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC04B
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AAC04D
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0005 ; V4400
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0009 ; V4400
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0004 ; LaBatt
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA0008 ; LaBatt
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA2215 ; VIUS6
Conexant = HdAudModel1, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA2216
Conexant = HdAudModel2, HDAUDIO\FUNC_01&VEN_14F1&DEV_5115&SUBSYS_17AA2217
Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_5114&SUBSYS_17AA3800 ; Venus3
Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_5114&SUBSYS_17AA3801 ; Vienna

Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5026 ; Edge series
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA000B
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5027
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA501B
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA502C
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA510E
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA000A
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA5028 ; E440
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA502A ; E540

Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5000
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5001
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA500B
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5018
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5019
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5100
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5101
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5106
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5108
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5015
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA0100
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA0101
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA0002
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA0003
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA0102

Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC021
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC023
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC02B
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC02D
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC02F
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC031
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC033
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC035
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC037
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC039
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA6035
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAC025

Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA1001 ; Venus2
Conexant = HdAudModel3, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AAA001 ; Mocca2

Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA4009 ; Z-Plus
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA400B ; Z-Plus
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA400D ; Z-Plus
Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA400F ; Z-Plus

Conexant = HdAudModel4, HDAUDIO\FUNC_01&VEN_14F1&DEV_506E&SUBSYS_17AA5007 ; S206

Conexant = HdAudModel5, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA380D ; LK20
Conexant = HdAudModel5, HDAUDIO\FUNC_01&VEN_14F1&DEV_510F&SUBSYS_17AA380E ; LK40


[HdAudModel1]
AddReg = AFA1.AddReg
InstallApp = AFAInstallApp

[HdAudModel2]
AddReg = AFA2.AddReg
InstallApp = AFAInstallApp

[HdAudModel3]
AddReg = AFA3.AddReg
InstallApp = AFAInstallApp

[HdAudModel4]
AddReg = AFA4.AddReg
InstallApp = AFAInstallApp

[HdAudModel5]
AddReg = AFA5.AddReg
InstallApp = AFAInstallApp

[AFA1.AddReg]
HKLM,SOFTWARE\Conexant\AFA,AFA_Settings,0x10001,0x00200008

[AFA2.AddReg]
HKLM,SOFTWARE\Conexant\AFA,AFA_Settings,0x10001,0x04620008 ; enable speaker rotation , switch BF according to the 90/270 degree rotation mode, and Stella PM mode

[AFA3.AddReg]
HKLM,SOFTWARE\Conexant\AFA,AFA_Settings,0x10001,0x00020008
HKLM,SOFTWARE\Conexant\AFA\Hotkey,EnableHotkey,0x10001,0x00000001
HKLM,SOFTWARE\Conexant\AFA\Hotkey,HotkeyScancode,1,00,00,E0,4E
HKLM,SOFTWARE\Conexant\AFA\Hotkey,EnableGPIO0,0x10001,0x00000000 ; Lenovo
HKLM,SOFTWARE\Conexant\AFA\Hotkey,SendMsgOSD,0x10001,0x00000001 ; Lenovo

[AFA4.AddReg]
HKLM,SOFTWARE\Conexant\AFA,AFA_Settings,0x10001,0x00000008

[AFAInstallApp]
InstallApp = "..\AFA\Setup.exe",,1,"Conexant Audio Filter Agent"

[AFA5.AddReg]
HKLM,SOFTWARE\Conexant\AFA,AFA_Settings,0x10001,0x00020008
HKLM,SOFTWARE\Conexant\AFA\Hotkey,EnableHotkey,0x10001,0x00000001
HKLM,SOFTWARE\Conexant\AFA\Hotkey,HotKeyScancodeEnable,1,00,00,E0,0C
HKLM,SOFTWARE\Conexant\AFA\Hotkey,HotKeyScancodeDisable,1,00,00,E0,2C
HKLM,SOFTWARE\Conexant\AFA\Hotkey,EnableGPIO0,0x10001,0x00000000 ; Lenovo
HKLM,SOFTWARE\Conexant\AFA\Hotkey,SendMsgOSD,0x10001,0x00000001 ; Lenovo